<template>
<q-page class="flex q-pa-md">
<div class="row full-width">
  <div class="col-4">
  </div>
  <div class="col-3 fixed-center">
      <q-card>
        <q-tabs
          v-model="tab"
          dense
          class="text-grey"
          active-color="primary"
          indicator-color="primary"
          align="justify"
          narrow-indicator
        >
          <q-tab name="Login" label="Login" />
        </q-tabs>

        <q-separator />

        <q-tab-panels v-model="tab" animated>
          <q-tab-panel name="Login">
          <login-register :tab="tab"/>
          </q-tab-panel>
        </q-tab-panels>
      </q-card>
  </div>
  <div class="col-4">
  </div>
</div>
</q-page>
</template>

<script>
import axios from 'axios'
export default {
  name: 'login',
  data () {
    return {
      tab: 'Login',
      username: '',
      password: ''
    }
  },
  components: {
    'login-register': require('components/login.vue').default
  },
  async created () {
    axios.get('http://localhost:1337/mobiles')
      .then(response => {
        // JSON responses are automatically parsed.
        this.mobiles = response.data
      })
      .catch(e => {
        this.errors.push(e)
      })
    async / await version (created() becomes async created())
    // try {
    //   const response = await axios.put('http://localhost:1337/users')
    //   this.users = response.data
    // } catch (e) {
    //   this.errors.push(e)
    // }
  }
}
</script>
